Bug 379781 - KDM wants to put images in $KDEDIRS
KDM wants to put images in $KDEDIRS
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-13 07:11 EST by Mary Ellen Foster
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-14 09:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-11-13 07:11:52 EST
Description of problem:
I put self-compiled KDE applications into /usr/local, so I always set KDEDIRS to
include this directory by creating /etc/profile.d/kde-local.sh containing
"export KDEDIRS=/usr:/usr/local". This seems to interact badly with KDM's
configuration. For starters, it's using the ugly default user image in
/usr/share/apps/kdm/pics/users/default1.png for all users. I wanted to change
this default image via the KDE control centre, and as soon as I enter
"administrator mode" it pops up a dialogue box titled "Sorry - KDE Control
Module" saying:
"Unable to create folder /usr/local/share/apps/kdm/faces".

/usr/share/apps/kdm/faces exists, of course, as does the rest of
/usr/share/apps/kdm -- why is it even trying to do anything in /usr/local/share?

Also, if I explicitly choose a different default image (Users tab, "User Images"
field), I can't save the changes -- it initially tries to bring up a file
browser in /usr/local/share/apps/kdm, and then when I browse to the image I
want, hitting save results in a dialogue box saying:

There was an error saving the image:

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Set KDEDIRS as set above
2. Use KDM as the login manager (set DISPLAYMANAGER=KDE in /etc/sysconfig/desktop)
3. Use the KDE control centre "Login Manager" configuration tool
Actual results:
Error message, and can't change image

Expected results:
Able to change message

Additional info:
Comment 1 Rex Dieter 2007-11-14 07:34:36 EST
Maybe try reversing the order:
export KDEDIRS=/usr/local:/usr

Also, you might consider consulting:
In particular, Q2.18
and modify /etc/kderc as well.

Regardless, this really isn't a fedora-specific bug, and if you have further
issues, and I'd highly recommend you consult a kde/upstream mailing list or
bugs.kde.org instead.
Comment 2 Mary Ellen Foster 2007-11-14 09:06:12 EST
Okay, whoops, sorry for the spam; putting KDEDIRS in the other order (with
/usr/local) seems to work.
Comment 3 Rex Dieter 2007-11-14 09:11:58 EST
Not spam, thanks, I learned something new too, I would have expected it to work
using your first incarnation of KDEDIRS too. :)

Note You need to log in before you can comment on or make changes to this bug.